module Hermes
  module Api
    module Dmo
      class StatusesController < Hermes::Api::Dmo::ApplicationController
        
       # before_action :set_instance, only: [:update, :destroy, :show]
        MAX_PICTURE_NUMBER = 5
        MUTATE_PARAMS = %i[
           status_label
           motive
           title
           object_id
           performer_id
  ]

        VALID_OPERATORS = %w[
          $in
          $nin
          $ne
          $regex
        ]

        ACCEPTABLE_PARAMS = %w[
            ids
            reference_model_name
            status_label
            motive
            title
            object_id
            performer_id
            closed_by
            closed_at
            closing
            applicant
            housing_request
            housing_offer
            housing_application
            entity
            lessor
        ]

        REGEX_PARAMS = %w[
          motive
          title
        ]
        mutate_params_only *MUTATE_PARAMS

        def index
          acceptable_params *ACCEPTABLE_PARAMS
          regex_params *REGEX_PARAMS
          valid_operators *VALID_OPERATORS
          super
        end
      end
    end
  end
end